import math
from random import randint

S1 = "####"
S2 = "###"
S3 = "##"
S4 = "#"
V = "."

S1A = False
S2A = False
S3A = False
S4A = False

S2C = 2
S3C = 3
S4C = 4

for i in range(10 * 10):
    if randint(1,5) >= 2:
        print(V)
    else:
        if S1A == False:
            S1A = True
            print(S1)
        elif S2A == False:
            if S2C != 0:
                S2C -= 1
                print(S2)
            else:
                S2A = True
        elif S3A == False:
            if S3C != 0:
                S3C -= 1
                print(S3)
            else:
                S3A = True
        elif S4A == False:
            if S4C != 0:
                S4C -= 1
                print(S4)
            else:
                S4A = True
            
    

